package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.TSosSolve;

/**
 * SOS预警处理Service接口
 * 
 * @author zhengjie
 * @date 2023-09-08
 */
public interface ITSosSolveService 
{
    /**
     * 查询SOS预警处理
     * 
     * @param id SOS预警处理主键
     * @return SOS预警处理
     */
    public TSosSolve selectTSosSolveById(Integer id);

    /**
     * 查询SOS预警处理列表
     * 
     * @param tSosSolve SOS预警处理
     * @return SOS预警处理集合
     */
    public List<TSosSolve> selectTSosSolveList(TSosSolve tSosSolve);

    /**
     * 新增SOS预警处理
     * 
     * @param tSosSolve SOS预警处理
     * @return 结果
     */
    public int insertTSosSolve(TSosSolve tSosSolve);

    /**
     * 修改SOS预警处理
     * 
     * @param tSosSolve SOS预警处理
     * @return 结果
     */
    public int updateTSosSolve(TSosSolve tSosSolve);

    /**
     * 批量删除SOS预警处理
     * 
     * @param ids 需要删除的SOS预警处理主键集合
     * @return 结果
     */
    public int deleteTSosSolveByIds(Integer[] ids);

    /**
     * 删除SOS预警处理信息
     * 
     * @param id SOS预警处理主键
     * @return 结果
     */
    public int deleteTSosSolveById(Integer id);
}
